Browse Source

pull, rebase: simplify to use die()

Signed-off-by: Stephen Boyd <bebarino@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
maint
Stephen Boyd 16 years ago committed by Junio C Hamano
parent
commit
bc2bbc4542
  1. 6
      git-pull.sh
  2. 9
      git-rebase.sh

6
git-pull.sh

@ -176,13 +176,11 @@ case "$merge_head" in @@ -176,13 +176,11 @@ case "$merge_head" in
?*' '?*)
if test -z "$orig_head"
then
echo >&2 "Cannot merge multiple branches into empty head"
exit 1
die "Cannot merge multiple branches into empty head"
fi
if test true = "$rebase"
then
echo >&2 "Cannot rebase onto multiple branches"
exit 1
die "Cannot rebase onto multiple branches"
fi
;;
esac

9
git-rebase.sh

@ -168,10 +168,8 @@ run_pre_rebase_hook () { @@ -168,10 +168,8 @@ run_pre_rebase_hook () {
if test -z "$OK_TO_SKIP_PRE_REBASE" &&
test -x "$GIT_DIR/hooks/pre-rebase"
then
"$GIT_DIR/hooks/pre-rebase" ${1+"$@"} || {
echo >&2 "The pre-rebase hook refused to rebase."
exit 1
}
"$GIT_DIR/hooks/pre-rebase" ${1+"$@"} ||
die "The pre-rebase hook refused to rebase."
fi
}

@ -359,8 +357,7 @@ fi @@ -359,8 +357,7 @@ fi

# The tree must be really really clean.
if ! git update-index --ignore-submodules --refresh; then
echo >&2 "cannot rebase: you have unstaged changes"
exit 1
die "cannot rebase: you have unstaged changes"
fi
diff=$(git diff-index --cached --name-status -r --ignore-submodules HEAD --)
case "$diff" in

Loading…
Cancel
Save